Create bank transaction
curl --request POST \
--url https://api.ai2fin.com/api/bank/transactions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"date": "2023-11-07T05:31:56Z",
"description": "<string>",
"amount": 123,
"categoryId": "<string>",
"merchant": "<string>",
"gstAmount": 123,
"gstRate": 123,
"gstIncluded": true
}
'import requests
url = "https://api.ai2fin.com/api/bank/transactions"
payload = {
"date": "2023-11-07T05:31:56Z",
"description": "<string>",
"amount": 123,
"categoryId": "<string>",
"merchant": "<string>",
"gstAmount": 123,
"gstRate": 123,
"gstIncluded": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
date: '2023-11-07T05:31:56Z',
description: '<string>',
amount: 123,
categoryId: '<string>',
merchant: '<string>',
gstAmount: 123,
gstRate: 123,
gstIncluded: true
})
};
fetch('https://api.ai2fin.com/api/bank/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transaction": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"date": "2023-11-07T05:31:56Z",
"description": "<string>",
"amount": 123,
"categoryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"category": {
"id": "<string>",
"name": "<string>",
"icon": "<string>",
"color": "<string>",
"isTaxDeductible": true,
"taxCategory": "<string>",
"defaultGstRate": 123
},
"merchant": "<string>",
"isTaxDeductible": true,
"businessUsePercentage": 50,
"gstAmount": 123,
"gstRate": 123,
"gstIncluded": true
}
}Bank Transactions
Create bank transaction
Manually add a new bank transaction
POST
/
api
/
bank
/
transactions
Create bank transaction
Authorizations
bearerAuthcookieAuth
First-party access token for your own signed-in session, obtained from the /api/enterprise-auth/login endpoint. The REST API returns your own account data to you — it is a first-party consumer surface, not a third-party integration channel. Data from connected bank feeds (open-banking / CDR data) is your own data, returned only to you in your own authenticated session.
Body
application/json
Response
201 - application/json
Transaction created successfully
Show child attributes
Show child attributes
Was this page helpful?
⌘I
